aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local
diff options
context:
space:
mode:
Diffstat (limited to 'dotfiles/.local')
-rwxr-xr-xdotfiles/.local/bin/barnewsstatus12
-rwxr-xr-xdotfiles/.local/bin/newssync13
2 files changed, 25 insertions, 0 deletions
diff --git a/dotfiles/.local/bin/barnewsstatus b/dotfiles/.local/bin/barnewsstatus
new file mode 100755
index 0000000..77457aa
--- /dev/null
+++ b/dotfiles/.local/bin/barnewsstatus
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+if [ -f ~/.cache/newssynclive ]; then
+ echo "syncing"
+ exit
+fi
+
+unreadno=$(newsboat -x print-unread | cut -f1 -d' ')
+
+if [ $unreadno -gt 0 ]; then
+ echo $unreadno
+fi
diff --git a/dotfiles/.local/bin/newssync b/dotfiles/.local/bin/newssync
new file mode 100755
index 0000000..0c0e866
--- /dev/null
+++ b/dotfiles/.local/bin/newssync
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+ping -q -c 1 1.1.1.1 > /dev/null || exit
+
+. ~/.cache/sessionenv
+
+touch ~/.cache/newssynclive
+killall -42 waybar
+
+newsboat -x reload || true
+
+rm -f ~/.cache/newssynclive
+killall -42 waybar